
Name:          glassfish-stax-api
Version:       1.0
Release:       %mkrel 0.2
Summary:       Streaming API for XML
Group:         Development/Java
License:       CDDL, GPL
Url:           http://sjsxp.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4u1/tools/lib/src/jsr173api-src.zip
Source0:       jsr173api-src.zip
Source1:       http://repo1.maven.org/maven2/javax/xml/stream/stax-api/1.0-2/stax-api-1.0-2.pom
Patch0:        glassfish-stax-api-1.0-2-pom.patch
BuildRequires: java-devel
#BuildRequires: ant
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
StAX is a standard XML processing API that allows you to stream XML data from and to your application.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Streaming API for XML.

This package contains javadoc for %{name}.

%prep
%setup -q -n jsr173api

mkdir -p main/java
mv src/* main/java
mv main src/
cp -pr %{SOURCE1} pom.xml
%patch0 -p0

%build

export MAVEN_REPO_LOCAL=$PWD/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
	-e \
	-Dmaven.test.skip=true \
	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
	install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/stax-api-%{version}*.jar \
	 %{buildroot}%{_javadir}/stax-api-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-stax-api.pom
%add_to_maven_depmap javax.xml.stream stax-api %{version}-2 JPP stax-api

mkdir -p %{buildroot}%{_javadocdir}/stax-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/stax-api-%{version}
ln -s stax-api-%{version} %{buildroot}%{_javadocdir}/stax-api

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/stax-api-%{version}.jar
%{_javadir}/stax-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/stax-api-%{version}
%{_javadocdir}/stax-api



%changelog
* Tue Jul 19 2011 gil <gil> 1.0-0.2.mga2
+ Revision: 126845
- imported package glassfish-stax-api

